import { Controller } from "@hotwired/stimulus"

// Connects to data-controller="check-link"
export default class extends Controller {
  static targets = ["input", "button"]

  connect() {
    console.log("connect", this.inputTarget, this.buttonTarget)
    this.inputTarget.addEventListener("input", e => this.onUrlInputChange(e))
  }

  onUrlInputChange(event) {
    console.log("connect", this.inputTarget, this.buttonTarget)
    console.log(event, this.buttonTarget)
    this.buttonTarget.href = this.inputTarget.value;
    this.buttonTarget.innerHTML = this.inputTarget.value;
    return true;
  }
}
